# Uses of Class
org.eclipse.equinox.p2.operations.Remedy

Packages that use Remedy
Package
Description
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.

## Uses of Remedy in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return Remedy
Modifier and Type
Method
Description
`Remedy`
RemediationOperation.`bestSolutionChangingTheRequest()`
`Remedy`
RemediationOperation.`bestSolutionChangingWhatIsInstalled()`
`Remedy`
RemediationOperation.`getCurrentRemedy()`
Methods in org.eclipse.equinox.p2.operations that return types with arguments of type Remedy
Modifier and Type
Method
Description
`List<Remedy>`
RemediationOperation.`getRemedies()`
Methods in org.eclipse.equinox.p2.operations with parameters of type Remedy
Modifier and Type
Method
Description
`void`
RemediationOperation.`setCurrentRemedy(Remedy currentRemedy)`